#!/usr/bin/make -f
# derived from Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=lprng

# The next section may have to be extensively modified

build:
	$(checkdir)
	CFLAGS="-O2" ./configure --prefix=/usr
	$(MAKE) LDFLAGS=-s INSTALL_LIB=/usr/sbin
	$(MAKE) HOWTO
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i realclean
	-rm -rf debian/tmp
	-rm -f debian/substvars debian/files
	find . -name \*~ | xargs -r rm -f 

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install debian/{prerm,postinst,postrm} debian/tmp/DEBIAN/
	install -m 644 debian/conffiles debian/tmp/DEBIAN/
	$(MAKE) prefix=`pwd`/debian/tmp/usr \
		INSTALL_LIB=`pwd`/debian/tmp/usr/sbin install
	mv debian/tmp/usr/bin/lpc debian/tmp/usr/sbin/
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp CHANGES debian/tmp/usr/doc/$(package)/changelog
	cp README* debian/tmp/usr/doc/$(package)/
	gzip -9f debian/tmp/usr/man/man?/* \
		debian/tmp/usr/doc/$(package)/*
	rm -f debian/tmp/usr/man/man1/monitor.1.gz
	cp debian/copyright debian/tmp/usr/doc/$(package)
	install -d debian/tmp/etc/init.d
	install -m 755 debian/rc debian/tmp/etc/init.d/lprng
	install -m 644 debian/{printcap,filter.*} lpd.conf lpd.perms \
		debian/tmp/etc/
	install -d debian/tmp/var/spool
	dpkg-shlibdeps src/lpr
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	install -m 2755 -o lp -g lp -d debian/tmp/var/spool/lpd
	install -m 2755 -o lp -g lp -d debian/tmp/var/spool/lpd/lp
	dpkg --build debian/tmp ..

define checkdir
	test -f ABOUT-NLS.LPRng
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
